GENET(4)

NAME
genet - Broadcom GENET 10/100/1Gb Ethernet device

SYNOPSIS
genet* at acpi?
genet* at fdt?
brgphy* at mii?

DESCRIPTION
The genet driver provides support for the Broadcom GENET v5 controller found on the Raspberry Pi 4.

The genet driver supports several media types, which are selected via the ifconfig(8) command. The supported media types are:

media autoselect
    Attempt to autoselect the media type (default)

media 1000baseT mediaopt full-duplex
    Use 1000baseT on copper, full duplex

media 1000baseT mediaopt half-duplex
    Use 1000baseT on copper, half duplex

media 100baseTX mediaopt full-duplex
    Use 100baseTX, full duplex

media 100baseTX mediaopt half-duplex
    Use 100baseTX, half duplex

media 10baseT mediaopt full-duplex
    Use 10baseT, full duplex

media 10baseT mediaopt half-duplex
    Use 10baseT, half duplex

SEE ALSO
arp(4), brgphy(4), ifmedia(4), inet(4), intro(4), netintro(4), ifconfig(8), rnd(9)

HISTORY
The genet driver first appeared in NetBSD 10.

AUTHORS
-nosplit The genet driver was written by Jared D. McNeill <jmcneill@NetBSD.org>.